#!/bin/sh

PROCESS=SmsClient

APP_HOME=/sms/SMSMessenger

JAVA=/usr/local/jdk1.5.0_17/bin/java 

# csh  setenv LANG ko_KR.eucKR, AIX  ko_KR.IBM-eucKR
export LANG=ko_KR.euckr

CLASSPATH=.:$APP_HOME/cfg
for i in `ls $APP_HOME/libs/*.jar`
do
  CLASSPATH=${CLASSPATH}:${i}
done


if [ $# -eq 1 ]
then
    echo $1
else
    echo "usage: uagent.sh start/stop/kill"
    echo "       start : START SMSMessenger Agent."
    echo "       stop  : STOP  SMSMessenger Agent."
    echo "       kill  : KILL SMSMessenger Agent immediately."
    exit
fi


if [ $1 = "start" ]
then

	count=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail | wc -l)
	if [ $count -eq 0 ]
	then
		nohup $JAVA -Djava.endorsed.dirs=$APP_HOME/libs/ -Dapp.name=$PROCESS $JAVA_OPTS -cp ".:${CLASSPATH}" com.smsclient.sms.messenger.Messenger -process_id:$PROCESS >> $APP_HOME/logs/$PROCESS.out & echo $! > $APP_HOME/logs/$PROCESS.pid
		ps -ef | grep "app.name=$PROCESS"
	else
		echo "$PROCESS is already running."
	fi

elif [ $1 = "stop" ]
then
	count=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail | wc -l)
	if [ $count -eq 1 ]
	then
		p_string=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail)
		pid=$(echo $p_string | awk '{print $2}')
	 	echo "kill pid : $pid"
	 	kill $pid
	else
		echo "$PROCESS is not running"	
	fi

elif [ $1 = "kill" ]
then
	count=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail | wc -l)
	if [ $count -eq 1 ]
	then
		p_string=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail)
		pid=$(echo $p_string | awk '{print $2}')
	 	kill -9 $pid
	else
		echo "$PROCESS is not running"	
	fi

fi